LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04614Bug reports[All Projects] Conditionspublic2010-09-20 19:312010-10-28 00:55
Reporterdlamparty 
Assigned Tolemeur 
PrioritynormalSeveritymajor 
StatusclosedResolutionunable to reproduce 
Product Version1.90+ 
Target VersionFixed in Version 
Summary04614: Conditions do not work
DescriptionQuestions that are supposed to be hidden until conditions are met are showing up.
Steps To ReproduceAdd question 1 - yes/no answer.
Add question 2 - yest/no answer.
Set condition for question 2 to show only if question 1 equals yes.
I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID9118
BrowserFirefox
Database & DB-VersionMySQL 5.0.27
Operating System (Server)Windows 2000
Webserver software & versionApache 2.2.3
PHP Version5.2.6
Attached Files? file icon limesurvey_survey_11997.lss [^] (11,662 bytes) 2010-10-05 20:58

- Relationships

-  Notes
User avatar (12881)
dlamparty (reporter)
2010-09-20 19:33

I forgot to mention, that it seems to work fine in the demo version on the limesurvey website.
User avatar (12977)
lemeur (administrator)
2010-10-02 21:06

I'm sorry, (Fortunately for us) I can't reproduce this issue.

Please test again with latest version, and if you still reproduce the pb, please upload a sample survey.
User avatar (12995)
bkgray (reporter)
2010-10-05 02:31

I reported a new issue 4648 that may be related to this. Sample survey export uploaded there.
User avatar (12998)
lemeur (administrator)
2010-10-05 20:45

dlamparty, can you check with teh default template.
User avatar (13000)
dlamparty (reporter)
2010-10-05 20:56

Same result for every template. Version 1.90+ Build 9160. I am thinking of trying a fresh install.
User avatar (13001)
dlamparty (reporter)
2010-10-05 20:59

I uploaded a 2 question survey. Second is supposed to depend on how the first is answered.
User avatar (13002)
lemeur (administrator)
2010-10-05 21:05

Your test survey works ok for me
User avatar (13003)
dlamparty (reporter)
2010-10-05 21:07

Thanks. I will do a fresh install with the newest version.
User avatar (13004)
Mazi (developer)
2010-10-05 21:31

I can't reproduce the problem using the attached survey.
User avatar (13065)
lemeur (administrator)
2010-10-11 10:31

feedback please...
User avatar (13218)
lemeur (administrator)
2010-10-16 22:31

Still no feedback... I'll have to close the ticket.
User avatar (13224)
abita1 (reporter)
2010-10-18 07:36

I had reported [to the forum] a similar problem which only occurred when the template had been changed to either of two I had downloaded [CSS/Div and OSS].

The solution, provided by c_schmitz, was to modify code, substituting this for the for <div...> on the question pages, question.pstpl file

<div {QUESTION_ESSENTIALS} class="{QUESTION_CLASS}{QUESTION_MAN_CLASS}{QUESTION_INPUT_ERROR_CLASS}">

I wonder if the original reporter had run into this issue.

Which, thereafter makes me wonder if similar changes to various of the addon templates on the website will also have this error, for which perhaps a bug should be raised, and potential fixes made to those templates?

Such errors in the templates are not necessarily due to bad template design, but rather changes in the underlying theology of the 1.90 version. As such, the templates -will- fail, for this and potentially other reasons, and could either be warned/documented on that addon page, or modified to account for the changes...yes? That way folks using the addons won't get entangled in trying to decipher why things won't work...

Thanks.
User avatar (13225)
c_schmitz (administrator)
2010-10-18 10:11

Abita1, would you care to help us modiy the existing templates in the repository?
User avatar (13301)
dlamparty (reporter)
2010-10-21 16:17

I am terribly sorry about not getting back on this. I have not had the opportunity to do a fresh install. I work for a small non-profit and wear multiple hats. I will try to do it today and get back to you.
User avatar (13354)
dlamparty (reporter)
2010-10-27 23:01

I did a fresh install of Version 1.90+ Build 9343, and it seems to work fine. Not sure what was up. It happened when I did the auto upgrade to 1.90. I was using the default templates. In any case, my issue seems to be resolved.

- Issue History
Date Modified Username Field Change
2010-09-20 19:31 dlamparty New Issue
2010-09-20 19:31 dlamparty Status new => assigned
2010-09-20 19:31 dlamparty Assigned To => lemeur
2010-09-20 19:33 dlamparty Note Added: 12881
2010-10-02 21:06 lemeur Note Added: 12977
2010-10-02 21:06 lemeur Status assigned => feedback
2010-10-05 02:31 bkgray Note Added: 12995
2010-10-05 20:45 lemeur Note Added: 12998
2010-10-05 20:56 dlamparty Note Added: 13000
2010-10-05 20:56 dlamparty Status feedback => assigned
2010-10-05 20:58 dlamparty File Added: limesurvey_survey_11997.lss
2010-10-05 20:59 dlamparty Note Added: 13001
2010-10-05 21:05 lemeur Note Added: 13002
2010-10-05 21:07 dlamparty Note Added: 13003
2010-10-05 21:31 Mazi Note Added: 13004
2010-10-05 21:31 Mazi Status assigned => feedback
2010-10-11 10:31 lemeur Note Added: 13065
2010-10-16 22:31 lemeur Note Added: 13218
2010-10-18 07:36 abita1 Note Added: 13224
2010-10-18 10:11 c_schmitz Note Added: 13225
2010-10-21 16:17 dlamparty Note Added: 13301
2010-10-21 16:17 dlamparty Status feedback => assigned
2010-10-27 23:01 dlamparty Note Added: 13354
2010-10-28 00:55 c_schmitz Status assigned => closed
2010-10-28 00:55 c_schmitz Resolution open => unable to reproduce


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker